XmVaCreateNotebook(3)

NAME
XmVaCreateNotebook, XmVaCreateManagedNotebook — A Notebook widget convenience creation functions.

SYNOPSIS

#include <Xm/Notebook.h>

Widget XmVaCreateNotebook(
Widget parent,
String name,
...);

Widget XmVaCreateManagedNotebook(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateNotebook function is a convenience routine that calls XtCreateWidget.

The XmVaCreateNotebook function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Notebook and its associated resources, see XmNotebook(3).

RETURN

Returns the Notebook widget ID.

RELATED

XmNotebook(3), XmCreateNotebook(3), XtCreateWidget(3), and XtCreateManagedWidget(3).